Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4732)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4734)
@@ -20,5 +20,4 @@
       <name>zhara</name>
       <model>models/space_stations/ZHARA_Space_Station.obj,30</model>
-      <mountpoints>models/space_stations/ZHARA_Space_Station.oif</mountpoints>
       <abs-coor>-20,0,30</abs-coor>
       <abs-dir>0.3,0,1,0</abs-dir>
@@ -156,5 +155,4 @@
       <name>Pirate01</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <list>group00</list>
@@ -170,5 +168,4 @@
       <name>Pirate02</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -184,5 +181,4 @@
       <name>Pirate03</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -198,5 +194,4 @@
       <name>Pirate53</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -212,5 +207,4 @@
       <name>Pirate54</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -228,5 +222,4 @@
       <name>Pirate04</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>2</swarm>
@@ -242,5 +235,4 @@
       <name>Pirate05</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>2</swarm>
@@ -256,5 +248,4 @@
       <name>Pirate06</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>2</swarm>
@@ -270,5 +261,4 @@
       <name>Pirate56</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>2</swarm>
@@ -284,5 +274,4 @@
       <name>Pirate57</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>2</swarm>
@@ -300,5 +289,4 @@
       <name>Pirate07</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -313,5 +301,4 @@
       <name>Pirate08</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -326,5 +313,4 @@
       <name>Pirate09</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -339,5 +325,5 @@
     <NPC>
       <name>Pirate59</name>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
       <team>2</team>
       <swarm>3</swarm>
@@ -353,5 +339,4 @@
       <name>Pirate49</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -367,5 +352,4 @@
       <name>Pirate79</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -383,8 +367,7 @@
       <name>Ragnar01</name>
       <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
-      <mountpoints>models/spaceships/pirates_spaceship_ragnar_vert.oif</mountpoints>
       <abs-coor>3450, 0, -10</abs-coor>
       <Track>
-        <mode>0</mode>
+        <mode>1</mode>
         <speed>60</speed>
         <addPoint>3600,-100,200</addPoint>
@@ -401,7 +384,6 @@
       <name>Ragnar02</name>
       <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
-      <mountpoints>models/spaceships/pirates_spaceship_ragnar_vert.oif</mountpoints>
-      <abs-dir> 1,5,0,1,0 </abs-dir>
-      <abs-coor>7000, 0, -400</abs-coor>
+      <abs-coor>7000, 0, -350</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
       <team>3</team>
       <swarm>1</swarm>
@@ -428,5 +410,4 @@
       <name>Noxon02</name>
       <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
-      <mountpoints>models/spaceships/noxon_spaceship_fighter.oif</mountpoints>
       <team>2</team>
       <swarm>3</swarm>
@@ -442,5 +423,4 @@
       <name>Noxon03</name>
       <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
-      <mountpoints>models/spaceships/noxon_spaceship_fighter.oif</mountpoints>
       <team>2</team>
       <swarm>3</swarm>
@@ -481,5 +461,4 @@
       <name>Player</name>
       <model>models/spaceships/human_spaceship_fighter.obj, 0.4</model>
-      <mountpoints>models/spaceships/human_spaceship_fighter_vert.oif</mountpoints>
       <abs-coor>0,0,0</abs-coor>
       <playmode>Horizontal</playmode>
@@ -487,6 +466,6 @@
      <drawTrack>1</drawTrack>
       <Track>
-        <mode>0</mode>
-        <speed>50</speed>
+        <mode>1</mode>
+        <speed>100</speed>
         <addPoint>0,0,0</addPoint>
         <addPoint>1000,0,200</addPoint>
